#include <iostream>
#include <cmath>

using namespace std;

int main(){
	int x1,x2,y1,y2;
	cin>>x1>>y1;
	cin>>x2>>y2;
	int a=abs(x2-x1);
	int b=abs(y2-y1);
	if(a==b)cout<<1;
	else if(a==0||b==0)cout<<2;
	else cout<<0;
}